Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Fork Class Reference

In some instances the messages must be sent to multiple destinations, this module is a generic component to duplicate such messages. More...

`#include <RMCast_Fork.h>`

Inheritance diagram for ACE_RMCast_Fork:

[legend]
Collaboration diagram for ACE_RMCast_Fork:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Fork (void)
| Constructor. More...
virtual | ~ACE_RMCast_Fork (void)
| Destructor. More...
void | secondary (ACE_RMCast_Module *module)
| Set the control module, all incoming control messages go to it. More...
ACE_RMCast_Module * | secondary (void) const
| Return the current control module. More...
virtual int | open (void)
| Initialize the module, setting up the next module. More...
virtual int | close (void)
| Close the module. More...
virtual int | data (ACE_RMCast::Data &)
| Push data through the stack. More...
virtual int | poll (ACE_RMCast::Poll &)
| Push a polling request through the stack. More...
virtual int | ack_join (ACE_RMCast::Ack_Join &)
| Push a message to ack a join request through the stack. More...
virtual int | ack_leave (ACE_RMCast::Ack_Leave &)
| Push a message to ack a leave request through the stack. More...
virtual int | ack (ACE_RMCast::Ack &)
| Push an ack mesage through the stack. More...
virtual int | join (ACE_RMCast::Join &)
| Push a join message through the stack. More...
virtual int | leave (ACE_RMCast::Leave &)
| Push a leave message through the stack. More...
## Private Attributes
ACE_RMCast_Module * | secondary_
| The control module. More...

## Detailed Description

In some instances the messages must be sent to multiple destinations, this module is a generic component to duplicate such messages.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_Fork::ACE_RMCast_Fork | ( | void |  | ) |

| Constructor.

ACE_RMCast_Fork::~ACE_RMCast_Fork | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_RMCast_Fork::ack | ( | ACE_RMCast::Ack & | ack | ) | `[virtual]`

| Push an ack mesage through the stack. Reimplemented from ACE_RMCast_Module.

int ACE_RMCast_Fork::ack_join | ( | ACE_RMCast::Ack_Join & | ack_join | ) | `[virtual]`

| Push a message to ack a join request through the stack. Reimplemented from ACE_RMCast_Module.

int ACE_RMCast_Fork::ack_leave | ( | ACE_RMCast::Ack_Leave & | ack_leave | ) | `[virtual]`

| Push a message to ack a leave request through the stack. Reimplemented from ACE_RMCast_Module.

int ACE_RMCast_Fork::close | ( | void |  | ) | `[virtual]`

| Close the module. Reimplemented from ACE_RMCast_Module.

int ACE_RMCast_Fork::data | ( | ACE_RMCast::Data & | data | ) | `[virtual]`

| Push data through the stack. Reimplemented from ACE_RMCast_Module.

int ACE_RMCast_Fork::join | ( | ACE_RMCast::Join & | join | ) | `[virtual]`

| Push a join message through the stack. Reimplemented from ACE_RMCast_Module.

int ACE_RMCast_Fork::leave | ( | ACE_RMCast::Leave & | leave | ) | `[virtual]`

| Push a leave message through the stack. Reimplemented from ACE_RMCast_Module.

int ACE_RMCast_Fork::open | ( | void |  | ) | `[virtual]`

| Initialize the module, setting up the next module. Reimplemented from ACE_RMCast_Module.

int ACE_RMCast_Fork::poll | ( | ACE_RMCast::Poll & | poll | ) | `[virtual]`

| Push a polling request through the stack. Reimplemented from ACE_RMCast_Module.

ACE_INLINE ACE_RMCast_Module * ACE_RMCast_Fork::secondary | ( | void |  | ) | const

| Return the current control module.

ACE_INLINE void ACE_RMCast_Fork::secondary | ( | ACE_RMCast_Module * | module | ) |

| Set the control module, all incoming control messages go to it.

## Member Data Documentation

ACE_RMCast_Module* ACE_RMCast_Fork::secondary_`[private]`

| The control module.

The documentation for this class was generated from the following files:

- RMCast_Fork.h
- RMCast_Fork.cpp
- RMCast_Fork.i